=== debian/changelog ===
libksysguard (4:5.14.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Feb 2021 17:19:30 +0800
