=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5completion-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5completion-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libz-dev,
@@ -69,8 +69,8 @@
 Package: libkf5sysguard-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.54.0~),
-         libkf5i18n-dev (>= 5.54.0~),
+Depends: libkf5config-dev (>= 5.58.0~),
+         libkf5i18n-dev (>= 5.58.0~),
          libkf5sysguard-bin (= ${binary:Version}),
          libksgrd7 (= ${binary:Version}),
          libksignalplotter7 (= ${binary:Version}),
