## libksysguard 5.17.5

=== debian/changelog ===
libksysguard (4:5.17.5-2+rpi1) bullseye-staging; urgency=medium

  * Remove armhf from qtwebengine architecture list.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 17 Feb 2020 22:43:59 +0000

libksysguard (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:44:54 +0100

libksysguard (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake
  * Drop the transitional package libkf5sysguard5 (Closes: 940750)
  * Drop the transitional package libkf5sysguard5-data (Closes: 940741)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - remove libqt5webkit5-dev
    - add libqt5webchannel5-dev, libxres-dev, and qtwebengine5-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Remove breaks/replaces for versions older than oldstable.
  * Drop the migration from libkf5sysguard-dbg, no more needed after two
    Debian stable releases.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #915613, #915616)
  * Update install files.
  * Unregister old conffiles.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update symbols files.
  * Do not use the ${shlibs:Depends} substvar in libkf5sysguard-data, as it
    does not exist.
  * Update lintian overrides.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 13:38:57 +0100
