=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5plasma-dev (>= 5.2.0),
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5webchannel5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libxres-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev (>= 5.4),
               qtwebengine5-dev (>= 5.5.0~) [amd64 arm64 i386 mipsel],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
Breaks: kde-workspace-dev, plasma-workspace-dev (<< 4:5.14)
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14), plasma-workspace (<< 4:5.14)

Package: libksignalplotter7
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14)

Package: liblsofui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14),
        liblegacytaskmanager5 (<< 4:5.7),
        libtaskmanager6 (<< 4:5.14),
        plasma-vault (<< 5.14),
        plasma-workspace (<< 4:5.14),

Package: libprocessui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14), plasma-workspace (<< 4:5.14)
