## libksysguard 5.18.3

=== debian/changelog ===
libksysguard (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:26 +0000

libksysguard (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:36 +0000

libksysguard (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:25 +0000

libksysguard (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:45 +0000

libksysguard (4:5.17.90-0ubuntu2) focal; urgency=medium

  * debian/tests: Follow debian in dropping the testsuite.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2020 12:35:41 +0000

libksysguard (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:41 +0000

libksysguard (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:16 +0000

libksysguard (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)
  * Explicit build depend on libqt5webchannel5-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:33 +0000

libksysguard (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:19 +0000

libksysguard (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * Update symbols from build logs.
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:34 +0000
