=== processui/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
         Qt5::DBus
         KF5::I18n
         KF5::WindowSystem
-        KF5::Auth
+        KF5::AuthCore
         KF5::Completion
         KF5::ConfigWidgets
         KF5::WidgetsAddons
@@ -58,8 +58,8 @@
     target_link_libraries(processui PRIVATE Qt5::X11Extras KF5::WindowSystem)
 endif()
 
-if(Qt5WebKitWidgets_FOUND)
-    target_link_libraries(processui PRIVATE Qt5::WebKitWidgets)
+if(WEBENGINE_SCRIPTING_ENABLED)
+    target_link_libraries(processui PRIVATE Qt5::WebEngineWidgets Qt5::WebChannel)
 endif()
 
 if(NOT HAVE_CLOCK_GETTIME_C)
